Wii update safe?

Discussion in 'Wii - Hardware, Devices and Utilities' started by Chrisssj2, Nov 18, 2009.

  1. Chrisssj2
    OP

    Chrisssj2 GBAtemp Maniac

    Member
    1,351
    115
    Feb 12, 2008
    Netherlands
    I have a Pal Wii 3.4E. modded with a modchip (not sure which but Ive had it for quite a while)
    And have not used for like a year or so lol..

    So I am not up to date with the latest news in the scene.

    Is it still safe to update to the newest 4+ firmware?

    Thanks for your time.
     
  2. DKAngel

    DKAngel GBAtemp Advanced Fan

    Member
    664
    0
    Jan 5, 2009
    Perth,Australia
    yup u can still homebrew it up from 4.2
     
  3. Chrisssj2
    OP

    Chrisssj2 GBAtemp Maniac

    Member
    1,351
    115
    Feb 12, 2008
    Netherlands
    4.2 is latest?
     
  4. Jdbye

    Jdbye Always Remember 30/07/08

    Suspended
    1,071
    0
    May 10, 2006
    Norway
    Norway
    It's safe, but the only new features in 4.2 over 4.1 is more anti piracy. It will overwrite BootMii boot2 and IOS for example (can be reinstalled) and overwrite all cIOSes etc with a stub which must be deleted in AnyTitle Deleter before you can reinstall them. And if you don't have the newest HBC and DVDX it will delete those every time you start the Wii, so update them first with the HackMii installer.

    Personally I just went with 4.1, it only has a few bug fixes over 4.0 but they are useful bug fixes, and it doesn't have the annoyances of 4.2.
     
  5. Chrisssj2
    OP

    Chrisssj2 GBAtemp Maniac

    Member
    1,351
    115
    Feb 12, 2008
    Netherlands
    I have no clue what you are talking about wit those programs/abbrevations or whatever those are [​IMG]

    I don't use any fancy stuff I just burn my backups and play them in my wii.

    And doesn't it automatically get the latest firmware when u connect to nintendo.

    How can you install older then?

    THanks for the reply
     
  6. Jdbye

    Jdbye Always Remember 30/07/08

    Suspended
    1,071
    0
    May 10, 2006
    Norway
    Norway
    Then google it, and get reading! [​IMG]

    Installing an older update is easy. Games come with different updates, just find one that has the update you want.

    Although I used WAD Manager to install the 4.1E WAD [​IMG]
     
  7. Chrisssj2
    OP

    Chrisssj2 GBAtemp Maniac

    Member
    1,351
    115
    Feb 12, 2008
    Netherlands
    What game do you recommend for updating?

    Also I have tales of symphonia 2 pal, should I update from that maybe? as there is no way to know what update it uses.. untill u actually install it.
     
  8. zuron7

    zuron7 RBYG

    Member
    1,369
    3
    Apr 6, 2009
    India
    GPS not available in this area
    I think 4.2 doesn't work proplerly with region free.
     
  9. Chrisssj2
    OP

    Chrisssj2 GBAtemp Maniac

    Member
    1,351
    115
    Feb 12, 2008
    Netherlands
    Which game uses a 4.1 update then?

    Isn't the latest update required to play tales of symphonia 2?

    Thanks.
     
  10. razorback78

    razorback78 GBAtemp Maniac

    Member
    1,183
    0
    Aug 3, 2009
    based on this means you don't use homebrew or your wii is not even soft moded. so what "latest" do you want? only the latest system menu?

    if the latest system menu is what you wanted then you could connect to nintendo update to 4.2 the latest...true. but like the guys told you say bye bye to your backup loading and stuff for 4.2 is just an anti-piracy update by nintendo. or you could use this guide to update up to at least 4.1: http://sites.google.com/site/completesg/hacking-guide/trucha.

    as far as i know, the 4.1 system menu is nothing more than a fix for the bug in wii sports resort...then maybe you could try that game. i already lost track of what each game updates to what since i started using Preloader which omits the disc update. [​IMG]
     
  11. Chrisssj2
    OP

    Chrisssj2 GBAtemp Maniac

    Member
    1,351
    115
    Feb 12, 2008
    Netherlands
    Lol all I have been searching this time Is Wii Brick Blocker to remove the pesky update.

    I hate it I forgot it when I was out of the scene for so long xD